Utils
Get weather information
Returns weather, forecast, AQI, local time, and timezone
GET
/
v1
/
utils
/
weather
Get weather information
curl --request GET \
--url https://api-kaori.mikabot.xyz/v1/utils/weather \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-kaori.mikabot.xyz/v1/utils/weather"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-kaori.mikabot.xyz/v1/utils/weather', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"data": {
"location": {
"name": "<string>",
"timezone": "<string>",
"localTime": "<string>",
"timezoneAbbr": "<string>",
"url": "<string>"
},
"current": {
"temperature": 123,
"condition": "<string>",
"icon": "<string>",
"humidity": 123,
"wind": {
"speed": "<string>",
"direction": "<string>",
"display": "<string>"
},
"observation": {
"time": "<string>",
"date": "<string>"
},
"feelsLike": 123,
"conditionCode": 123,
"pressure": "<string>",
"visibility": "<string>",
"uv": {
"index": 123,
"description": "<string>"
},
"dewPoint": 123
},
"forecast": [
{
"date": "<string>",
"day": "<string>",
"low": 123,
"high": 123,
"condition": "<string>",
"icon": "<string>",
"conditionCode": 123,
"precipitationChance": 123
}
],
"meta": {
"provider": "<string>",
"language": "<string>",
"fetchedAt": "<string>"
},
"airQuality": {
"aqi": "<string>",
"pm2_5": "<string>",
"pm10": "<string>",
"no2": "<string>",
"o3": "<string>",
"co": "<string>"
}
}
}{
"success": true,
"code": 123,
"message": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"data": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"success": true,
"code": 123,
"message": "<string>"
}Authorizations
Authorization: Bearer sk_kaori_*
Query Parameters
City or location name (e.g. Bengaluru, Karnataka)
Available options:
C, F Last modified on February 3, 2026
Was this page helpful?
⌘I
Get weather information

